# Class UncheckedIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.UncheckedIOException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class UncheckedIOException extends RuntimeException
Deprecated.
Use java.io.UncheckedIOException instead. Will be removed in Gradle 10.
`UncheckedIOException` is used to wrap an `IOException` into an unchecked exception.

Since:
  0.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UncheckedIOException()`
  Deprecated.
  Creates a new `UncheckedIOException`.
  `UncheckedIOException(@Nullable String message)`
  Deprecated.
  Creates a new `UncheckedIOException`.
  `UncheckedIOException(@Nullable String message, @Nullable Throwable cause)`
  Deprecated.
  Creates a new `UncheckedIOException`.
  `UncheckedIOException(@Nullable Throwable cause)`
  Deprecated.
  Creates a new `UncheckedIOException`.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UncheckedIOException

    public UncheckedIOException()
    Deprecated.
    Creates a new `UncheckedIOException`.
    Since:
      0.7

  - ### UncheckedIOException

    public UncheckedIOException(@Nullable String message)
    Deprecated.
    Creates a new `UncheckedIOException`.
    Since:
      0.7

  - ### UncheckedIOException

    public UncheckedIOException(@Nullable String message, @Nullable Throwable cause)
    Deprecated.
    Creates a new `UncheckedIOException`.
    Since:
      0.7

  - ### UncheckedIOException

    public UncheckedIOException(@Nullable Throwable cause)
    Deprecated.
    Creates a new `UncheckedIOException`.
    Since:
      0.7